package store

import (
	"gorm.io/gorm"
)

// Stores 聚合所有数据访问层
type Stores struct {
	Results *ResultStore
}

// NewStores creates a new Stores instance.
func NewStores(database *gorm.DB) *Stores {
	return &Stores{
		Results: NewResultStore(database),
	}
}
